<div class="container">
  <div
    class="search-results"
    infiniteScroll
    [infiniteScrollDistance]="0"
    [infiniteScrollThrottle]="150"
    (scrolled)="onScroll()">
    <div class="row pt-5">
      <div class="col-lg-4 p-2 col-md-6 col-sm-12" *ngFor="let article of articles">
        <div class="card shadow">
          <div class="card-body">

            <div *ngIf="article.video_embed && article.video_embed !== null; then thenBlock else elseBlock"></div>
            <ng-template #thenBlock>
              <iframe [src]="article.video_embed | safe" allowfullscreen></iframe>
            </ng-template>
            <ng-template #elseBlock>
              <div
                [ngStyle]="{'background-image': 'url(' + article['_embedded']['wp:featuredmedia'][0].source_url + ')'}"
                class="image">
              </div>
            </ng-template>
            <div class="date">
              {{getDate(article.date)}}
            </div>
            <a [routerLink]="[article.id]">
              <h5 class="card-title text-left">{{article.title.rendered}}</h5></a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row pb-5">
    <div class="col-md-12 p-5">
      <ngx-spinner
        bdColor=""
        size="default"
        color="#581f87"
        type="square-jelly-box"
        [fullScreen]="false"
      >
      </ngx-spinner>
    </div>
  </div>
</div>
